# Generated from md5sum-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name md5sum

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: A simple project to make it easier to calculate md5sums.  Usage example is simple:  Md5sum.new('foobar') Md5sum['foobar']  If you have specific suggestions to make this gem more useful for others, please drop me an email at:  shevegen@gmail.com.  Thank you
License: GPL-2.0
URL: http://rubygems.org/gems/md5sum
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.3
BuildArch: noarch

%description
A simple project to make it easier to calculate
md5sums.
Usage example is simple:
Md5sum.new('foobar')
Md5sum['foobar']
If you have specific suggestions to make this gem more useful
for others, please drop me an email at:
shevegen@gmail.com.
Thank you.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/USAGE.rdoc
%{gem_instdir}/md5sum.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.6-1
- Initial package
